// +----------------------------------------------------------------------
// | CRMEB [ CRMEB赋能开发者，助力企业发展 ]
// +----------------------------------------------------------------------
// | Copyright (c) 2016~2021 https://www.crmeb.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed CRMEB并不是自由软件，未经许可不能去掉CRMEB相关版权
// +----------------------------------------------------------------------
// | Author: CRMEB Team <admin@crmeb.com>
// +----------------------------------------------------------------------
import BasicLayout from '@/layouts/basic-layout';
import Setting from "@/setting";
const pre = 'finance_';
export default {
    path: `${Setting.roterPre}/finance`,
    name: 'finance',
    header: 'finance',
    meta: {
        // 授权标识
        auth: ['admin-finance']
    },
    // redirect: {
    //     name: `${pre}cashApply`
    // },
    component: BasicLayout,
    children: [
        {
            path: 'user_extract/index',
            name: `${pre}cashApply`,
            meta: {
                auth: ['finance-user_extract'],
                title: '提现申请'
            },
            component: () => import('@/pages/finance/userExtract/index')
        },
        {
            path: 'user_recharge/index',
            name: `${pre}recharge`,
            meta: {
                auth: ['finance-user-recharge'],
                title: '充值记录'
            },
            component: () => import('@/pages/finance/financialRecords/recharge')
        },
        {
            path: 'finance/bill',
            name: `${pre}bill`,
            meta: {
                auth: ['finance-finance-bill'],
                title: '资金记录'
            },
            component: () => import('@/pages/finance/financialRecords/bill')
        },
        {
            path: 'finance/commission',
            name: `${pre}commissionRecord`,
            meta: {
                auth: ['finance-finance-commission'],
                title: '佣金记录'
            },
            component: () => import('@/pages/finance/commission/index')
        },
		{
		    path: 'guquan/index',
		    name: `${pre}guquanIndex`,
		    meta: {
		        auth: ['admin-finance-guquan-index'],
		        title: '股权提现申请'
		    },
		    component: () => import('@/pages/finance/guquan/index')
		},
		{
		    path: 'guquan/list',
		    name: `${pre}guquanList`,
		    meta: {
		        auth: ['admin-finance-guquan-list'],
		        title: '股权记录'
		    },
		    component: () => import('@/pages/finance/guquan/list')
        },
        {
		    path: 'jl/index',
		    name: `${pre}jlIndex`,
		    meta: {
		        auth: ['admin-finance-jl-index'],
		        title: '提现申请'
		    },
		    component: () => import('@/pages/finance/jl/index')
		},
		{
		    path: 'jl/list',
		    name: `${pre}jlList`,
		    meta: {
		        auth: ['admin-finance-jl-list'],
		        title: '股权记录'
		    },
		    component: () => import('@/pages/finance/jl/list')
		},
		{
		    path: 'jc/list',
		    name: `${pre}JclList`,
		    meta: {
		        auth: ['admin-finance-jc-list'],
		        title: '奖池记录'
		    },
		    component: () => import('@/pages/finance/jc/list')
		},
		{
		    path: 'ds/list',
		    name: `${pre}JclList`,
		    meta: {
		        auth: ['admin-finance-ds-list'],
		        title: '打赏记录'
		    },
		    component: () => import('@/pages/finance/ds/list')
		},
		{
		    path: 'ts/list',
		    name: `${pre}JclList`,
		    meta: {
		        auth: ['admin-finance-ts-list'],
		        title: '投诉记录'
		    },
		    component: () => import('@/pages/finance/ts/list')
		},
		{
		    path: 'dj/list',
		    name: `${pre}JclList`,
		    meta: {
		        auth: ['admin-finance-dj-list'],
		        title: '冻结记录'
		    },
		    component: () => import('@/pages/finance/dj/list')
		}
    ]
};
